package com.liquidnet.service.goblin.service.manage;


import com.github.pagehelper.PageInfo;
import com.liquidnet.service.base.PagedResult;
import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.goblin.dto.vo.GoblinListDetailsVo;
import com.liquidnet.service.goblin.dto.vo.GoblinListVo;
import com.liquidnet.service.goblin.param.GoblinListCreateParam;
import com.liquidnet.service.goblin.param.GoblinListUpdateParam;

import java.util.List;

/**
 * <p>
 * 商城-名单表 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2022-04-29
 */
public interface IGoblinListService {

    ResponseDto<PageInfo<GoblinListVo>> getList(String name, Integer page);

    ResponseDto<GoblinListDetailsVo> getDetails(String listId);

    ResponseDto<Boolean> create(GoblinListCreateParam param);

    ResponseDto<Boolean> update(GoblinListUpdateParam param);

    ResponseDto<Boolean> delete(String listId);
}
